The s2e image_build command is stuck

92 views
Skip to first unread message

haoran cui

unread,
Mar 6, 2024, 8:22:16 AMMar 6
to S2E Developer Forum
I need to use the s2e from 2020 to create a project, but when I execute the s2e image_build -- gui debian-9.2.1-x86_64, it gets stuck here. How can I solve this problem
屏幕截图 2024-03-06 211830.png

Vitaly Chipounov

unread,
Mar 6, 2024, 9:11:16 AMMar 6
to s2e...@googlegroups.com
Hi,

This looks like an installer/network error. Can you try to install the ISO outside of S2E?
In general, I only support the latest master.

Vitaly

On Wed, Mar 6, 2024 at 2:22 PM haoran cui <hcu...@gmail.com> wrote:
I need to use the s2e from 2020 to create a project, but when I execute the s2e image_build -- gui debian-9.2.1-x86_64, it gets stuck here. How can I solve this problem
屏幕截图 2024-03-06 211830.png

--
You received this message because you are subscribed to the Google Groups "S2E Developer Forum" group.
To unsubscribe from this group and stop receiving emails from it, send an email to s2e-dev+u...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/s2e-dev/97096561-143e-4a05-9f7a-d01f75841ce2n%40googlegroups.com.

Vitaly Chipounov

unread,
Mar 7, 2024, 10:38:01 AMMar 7
to haoran cui, s2e-dev
Hi,

What have you tried to do to debug it? Did you check syslogs like requested by the error message or anything else in the guest that may give clues?

Vitaly

On Thu, Mar 7, 2024 at 1:51 PM haoran cui <hcu...@gmail.com> wrote:
I tried to use debian-9.2.1-amd64-xfce-CD-1.iso in QEMU,and it runs successfully,and the system in QEMU even connects to the internet.However, I still can't use  debian-9.2.1-amd64-netinst.iso in QEMU,it will still get stuck like above

haoran cui

unread,
Mar 8, 2024, 4:33:51 AMMar 8
to S2E Developer Forum
Sorry,I don't know how to debug it.And I have checked the /var/log/syslog, but I did'n find any information about s2e.Moreover,when I enter the debian9 install menu,I choose intall the base system ,but it also give me lots of error.

Vitaly Chipounov

unread,
Mar 8, 2024, 6:34:47 AMMar 8
to s2e...@googlegroups.com
Please attach syslog and the errors you see.
If you can reproduce this with the latest master with the new images, I will debug on my side too.

Vitaly

haoran cui

unread,
Mar 9, 2024, 3:56:11 AMMar 9
to S2E Developer Forum
I tried the latest version of s2e on ubuntu20.04.However,when I run s2e --help,I get errors like follows.
(venv) hara@ubuntu:~/s2e-env$ s2e --help
Traceback (most recent call last):
  File "/home/hara/s2e-env/venv/lib/python3.8/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/home/hara/s2e-env/venv/lib/python3.8/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/home/hara/s2e-env/venv/lib/python3.8/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (pefile 2023.2.7 (/home/hara/s2e-env/venv/lib/python3.8/site-packages), Requirement.parse('pefile==2019.4.18'), {'s2e-env'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/hara/s2e-env/venv/bin/s2e", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/home/hara/s2e-env/venv/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3252, in <module>
    def _initialize_master_working_set():
  File "/home/hara/s2e-env/venv/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/home/hara/s2e-env/venv/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/home/hara/s2e-env/venv/lib/python3.8/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/home/hara/s2e-env/venv/lib/python3.8/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/home/hara/s2e-env/venv/lib/python3.8/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'pefile==2019.4.18' distribution was not found and is required by s2e-env

Vitaly Chipounov

unread,
Mar 9, 2024, 6:19:19 AMMar 9
to s2e...@googlegroups.com
Hi,

Did you update the s2e-env packages in the python venv after upgrade?

Vitaly

Message has been deleted

haoran cui

unread,
Mar 9, 2024, 10:49:44 PMMar 9
to S2E Developer Forum
I just followed the instructions in the offical documents.Could you please tell me how to update the s2e-env packages in the python venv?屏幕截图 2024-03-10 114925.png

haoran cui

unread,
Mar 10, 2024, 1:22:40 AMMar 10
to S2E Developer Forum
I have another question, where does s2e start QEMU? Maybe I need to modify the parameters for starting QEMU on s2e. In which file did s2e configure the parameters for QEMU?

Vitaly Chipounov

unread,
Mar 10, 2024, 7:45:57 AMMar 10
to s2e...@googlegroups.com
Hi,

QEMU is started in launch-s2e.sh.

Vitaly

Vitaly Chipounov

unread,
Mar 10, 2024, 8:11:24 AMMar 10
to s2e...@googlegroups.com
You have a package version conflict according to the error message. Make sure you deleted your previous venv folder before running the commands.

Vitaly

haoran cui

unread,
Mar 11, 2024, 11:40:38 PMMar 11
to S2E Developer Forum
When I execute the command: s2e image_build -g debian-11.3-x86,I find these information.
Could you please tell me where I can change the size of the image.raw?What I mean is in which configuration file can I change the parameters of qemu img
屏幕截图 2024-03-12 113625.png

Message has been deleted

haoran cui

unread,
Mar 12, 2024, 4:43:30 AMMar 12
to S2E Developer Forum
I am using Ubuntu 18.04 in VMware. How can I solve the problem of bad archive mirror,屏幕截图 2024-03-06 211830.png

在2024年3月12日星期二 UTC+8 16:40:01<haoran cui> 写道:
I have encountered this trouble, how should I solve it.I have encountered this trouble, how should I solve it屏幕截图 2024-03-12 113625.png


在2024年3月10日星期日 UTC+8 20:11:24<Vitaly Chipounov> 写道:

haoran cui

unread,
Mar 12, 2024, 4:47:39 AMMar 12
to S2E Developer Forum
When I was installing Debian9, I encountered a bad archive mirror, so I chose to bypass the configure the package manager.But I got this problem,how can I solve it屏幕截图 2024-03-12 113625.png

Vitaly Chipounov

unread,
Mar 17, 2024, 8:19:26 AMMar 17
to s2e...@googlegroups.com
Hi,

The debian 9 image build is broken because mirrors don't host its packages anymore. I don't know if the CGC toolchain will run on anything more recent.
You can use the -d flag to download a pre-built image.

Vitaly

On Tue, Mar 12, 2024 at 9:47 AM haoran cui <hcu...@gmail.com> wrote:
When I was installing Debian9, I encountered a bad archive mirror, so I chose to bypass the configure the package manager.But I got this problem,how can I solve it屏幕截图 2024-03-12 113625.png

--
You received this message because you are subscribed to the Google Groups "S2E Developer Forum" group.
To unsubscribe from this group and stop receiving emails from it, send an email to s2e-dev+u...@googlegroups.com.
Reply all
Reply to author
Forward
0 new messages